declare const SideEffectJS: SideEffectJS;
export interface SideEffectJS {
    Load: (effects: Array<SideEffect>) => void;
    Get: (effectId: string) => any;
    UseSimulator: () => void;
    CreateEffect: (id: string, run: (...args: any[]) => any, simulate: (...args: any[]) => any) => SideEffect;
    CreateEffectTyped: <T, R>(id: string, run: (fun: T) => R, simulate: (fun: T) => R) => SideEffect;
    GetHistoryAsync: () => Promise<Array<HistoryItem>>;
    Reset: () => void;
    GetAllEffects: () => Array<SideEffect>;
}
export interface SideEffect {
    id: string;
    run: (...args: any[]) => any;
    simulate: (...args: any[]) => any;
}
export interface HistoryItem {
    effectId: string;
    runtime: string;
}
export default SideEffectJS;
